Subject: RE: [seamoby-mm] Re: [seamoby] A CNP perspective on context trans fer.

From: Kulwinder Atwal <[email-masked]>
Date: Fri, 26 Jan 2001 20:47:18 -0500

> -----Original Message-----
> From: Phil Neumiller [mailto:[email-masked]]
> Sent: Thursday, January 18, 2001 9:28 PM
> To: Hamid Syed
> Cc: [email-masked]; 
> [email-masked];
> [email-masked]
> Subject: [seamoby-mm] Re: [seamoby] A CNP perspective on context
> transfer.
> 
> 
> Hello Hamid,
> 
> > Hamid Syed wrote:
> > 
> > Hi Phil,
> > 
> > I guess the main problem is "when" to carry out the actual 
> context transfer and what may happen between the time the context was
> > transfered and the time when the actual handover of bearer 
> resources occur
> > 
> 
> pdn>This is precisely why I ADVOCATE bundling context 
> transfer in the form of a 
> pdn>"contract" with each hand over request sent to handover 
> candidates (contractors).
> 
> > For example, in the proactive approach, the actual transfer 
> of context happens whenever the candidate and the source realizes
> > that the mobile may get connectivity thru the candidate. Of 
> course, the candidate can submit a bid but this bid would be based on
> > its current capabilities, which may change with the time. 
> Again as an example, one of the factors while deciding a bid is
> > resource availability. The candidate can submit a bid with 
> the current available resources at time t1, but the mobile may decide
> > to get connected to it at time t2. Now between this delta 
> time, the situation of the available resources at the candidate may
> > change. This is one example where one of the deciding 
> factor is time-dependent. The whole purpose of context 
> transfer and bidding
> > would fail in this scenario. Not to mention that the 
> situation may become even worst for per packet context information.

This is why (in long forgotten emails) I have suggested a
"point-of-no-return" trigger.
The "point-of-no-return" trigger commits both the MN and AP to following
through 
with the bid.  

Further, we might consider that when making a bid, the contractor will
consider 
the bid to be valid for "X" amount of time.  After, the bid acceptance
deadline 
only best effort can be expected.

- Kulwinder.

> 
> pdn>Yes, and the VERY closest you can tie state transfer to 
> when it is needed
> pdn>(the moment before the handoff decision made) is by 
> bundling the context
> pdn>with the handover request and the reflected and pruned 
> context in the bids
> pdn>that come back.  The bids will come back from each 
> handover candidate, and
> pdn>the manager of the anchor (the microflows bound to the MN 
> that is moving),
> pdn>will decide which candidate should get awarded the 
> contract.  I just don't
> pdn>see a more efficient way to do this.  Of course I AM 
> WORKING in the SOLUTION
> pdn>SPACE here (currently a sin in SeaMoby), but I have the 
> code running, and
> pdn>I have been playing with such a system for several years now. :-)
>